#' Simulated copula dataset
#'
#' Simulated bivariate dataset with a gaussian component
#' and an exponential one, with a certain dependency structure.
#'
#' @docType data
#'
#' @usage data(copuladata)
#'
#' @format An object of class \code{matrix}.
#'
#' @keywords datasets
#'
#' @examples
#' data(copuladata)
"copuladata"

#' Simulated copula dataset with underlying Markov Model
#'
#' Simulated bivariate dataset with a gaussian component
#' and an exponential one, with a certain dependency structure
#' and an underlying 2-state Markov Model.
#'
#' @docType data
#'
#' @usage data(copulahmmdata)
#'
#' @format An object of class \code{matrix}.
#'
#' @keywords datasets
#'
#' @examples
#' data(copulahmmdata)
"copulahmmdata"


#' Simulated multivariate functional dataset with underlying Markov Model
#'
#' Simulated bivariate functional dataset with
#' an underlying 2-state Markov Model.
#'
#' @docType data
#'
#' @usage data(simulatedFD)
#'
#' @format An object of class \code{funData}.
#'
#' @keywords datasets
#'
#' @examples
#' data(simulatedFD)
"simulatedFD"
